{#
/**
 * @file
 * Theme override to present all user data.
 *
 * This template is used when viewing a registered user's page,
 * e.g., example.com/user/123. 123 being the user's ID.
 *
 * Available variables:
 * - content: A list of content items. Use 'content' to print all content, or
 *   print a subset such as 'content.field_example'. Fields attached to a user
 *   such as 'user_picture' are available as 'content.user_picture'.
 * - attributes: HTML attributes for the container element.
 * - user: A Drupal User entity.
 *
 * @see template_preprocess_user()
 */
#}
<article{{ attributes.addClass('user-profile', 'row') }}>
  <div class="col-md-4 sidebar-left bio">
    {{ content.user_picture }}

    <h3 class="field-name">{{ content.field_first_name}}{{ content.field_last_name }}</h3>
    <h3 class="field-organization">{{ content.field_organization }}</h3>

    {{ content|without('field_organization', 'user_picture','field_first_name','field_last_name','field_location', 'field_short_bio') }}
    <p>
      {% if current_user_id == user.id  or 'administrator' in current_user_roles %}
          {{ link('Update Profile', profile_link, { 'class' : ['btn', 'btn-info']})}}
      {% endif %}
    </p>
    <p>
      {% if (contact_link) %}
          {{ link('Send a message', contact_link, { 'class' : ['btn', 'btn-info']})}}
      {% endif %}
    </p>
    {% if backpack_link %}
       {{ link('Backpack', backpack_link, { 'class' : ['content--action', 'content--action--backpack'] }) }}
    {% endif %}
  </div>
  <div class="col-md-8 center">
    {{ content.field_short_bio }}

    <h2>Forum topics</h2>
    {{ forum_topics }}

    <h2>Contributed resources</h2>
    {{ resources }}

    {% if current_user_id == user.id  or 'administrator' in current_user_roles %}
      <h2>Journal Entries</h2>
    {% endif %}
    {% if current_user_id == user.id %}
      <a class="btn" href="/node/add/journal">Add Journal Entry</a>
    {% endif %}
    {% if current_user_id == user.id  or 'administrator' in current_user_roles %}
      {{ journal }}
    {% endif %}

    {% if user.field_location.lat and user.field_location.lon %}
      <div id="map-user-{{ user.id }}" class="map map--small"></div>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/ol3/3.19.1/ol.js" integrity="sha256-c5JWuut7RnwjMDUULdG4o+/IamfJrrSp3pVd4fBc3dw=" crossorigin="anonymous"></script>
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ol3/3.19.1/ol.css" integrity="sha256-sHpvTx84mhebaHVUwkVCJuwLaTkjv3YnHWDbYyWFblw=" crossorigin="anonymous" />
      <script type="text/javascript">
        var vectorSource = new ol.source.Vector({
          // Create empty vector.
        });

        var iconFeature = new ol.Feature({
          geometry: new ol.geom.Point(ol.proj.fromLonLat([{{ user.field_location.lon }},{{ user.field_location.lat }}])),
        });

        vectorSource.addFeature(iconFeature);

        var iconStyle = new ol.style.Style({
          image: new ol.style.Icon(/** @type {olx.style.IconOptions} */ ({
            anchor: [0.5, 46],
            anchorXUnits: 'fraction',
            anchorYUnits: 'pixels',
            opacity: 0.75,
            src: '/themes/kidneys/images/Turtle_Tablet_Favicon.png'
          }))
        });


        var vectorLayer = new ol.layer.Vector({
          source: vectorSource,
          style: iconStyle
        });

        var map = new ol.Map({
          target: "map-user-{{ user.id }}",
          layers: [
            new ol.layer.Tile({
              source: new ol.source.OSM()
            }),
            vectorLayer
          ],
          interactions: ol.interaction.defaults({mouseWheelZoom:false}),
          view: new ol.View({
            center: ol.proj.fromLonLat([{{ user.field_location.lon }},{{ user.field_location.lat }}]),
            zoom: 12
          }),
        });
      </script>

    {% endif %}
  </div>
</article>
